Bug 1024540 - kmail forgets contents of trash folder
kmail forgets contents of trash folder
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 17:39 EDT by info@kobaltwit.be
Modified: 2015-02-17 13:57 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 13:57:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description info@kobaltwit.be 2013-10-29 17:39:16 EDT
Description of problem:
I'm using kontact with imap accounts as my mail solution. Sometimes kmail seems to forget the contents of the trash folders of my imap accounts. The mails are not removed from the server, but kmail simply doesn't show them anymore. Restarting kontact recovers the situation. After a kontact restart, the folders show the full content again.

This issue seems to be triggered as a combination of moving mails to trash (without first explicitly having looked at the trash folder) and then some time passing.

In summary:
- Trash folders I haven't moved mail into since kontact/kmail launch always show all mails in trash. It doesn't matter if I look immediatly after launch, or after some time. The mails are there.
- When I move a mail to a trash folder I haven't looked at yet since kontact/kmail launch and then after "some" time look at the trash folder, only the deleted mail is there (if not part of an earlier mail thread already in trash, in which case it's hidden as well as it is added to the hidden mail thread)

I realize "some" time is a bit vague. I don't check my trash folders that often. But occasionally I do, usually when kmail has been running a couple of hours and several mails have been moved to trash. All these mails are visible, but not the ones that were already in trash when kmail was launched.

Version-Release number of selected component (if applicable):
kdepim-4.11.2-1.fc19.x86_64

How reproducible:
Regularly. The combination of
- mails having been moved to trash
- not having looked at the trash before moving mails to trash
- sufficient time passing
seems to trigger the behaviour consistently here.

Steps to Reproduce:
1. Start kmail, with an imap account configured (server is dovecot on Centos 5)
   The trash folder should have some mails in it already when launching kmail.
2. Don't look at the Trash folder, but move another message into trash
3. Wait some time (don't know how long, but make it long enough)
4. Look at the trash folder

Actual results:
Only the mails that were moved to trash since kmail was launched are visible. The ones that were already in trash when kmail was launched are not visible. They are not deleted because restarting kmail will show them again in trash.

Expected results:
The trash folder should always show its full content.

Additional info:
There are no search filters set on the trash folders.
Comment 1 Fedora End Of Life 2015-01-09 15:24:11 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 13:57:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.